//
// © 2017-2020 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
//

import Foundation

enum PlaylistNotificationReason {
    case changed
    case loopModeChanged
    case shuffleModeChanged
}

struct PlaylistNotification: PlayerControllerNotification {
    static var name = Notification.Name.PlaylistStateDidChangeNotification
    var sender: PlayerControllerProtocol
    var playlist: IoTPlaylist
    var reason: PlaylistNotificationReason
    var payload: Any?
}
